Go to the latest version of this document.

# ``twisted`.`names`.`root``

module documentation
(source)

Resolver implementation for querying successive authoritative servers to lookup a record, starting from the root nameservers.

Author

Jp Calderone

todo:

        robustify it
        documentation

Class | `DeferredResolver` | Undocumented
Class | `Resolver` | `Resolver` implements recursive lookup starting from a specified list of root servers.
Function | `bootstrap` | Lookup the root nameserver addresses using the given resolver
Function | `makePlaceholder` | Undocumented
Class | `_DummyController` | A do-nothing DNS controller. This is useful when all messages received will be responses to previously issued queries. Anything else received will be ignored.

def bootstrap(resolver, resolverFactory=None): (source)

Lookup the root nameserver addresses using the given resolver

Return a Resolver which will eventually become a `root.Resolver` instance that has references to all the root servers that we were able to look up.

Parameters
resolver:`twisted.internet.interfaces.IResolverSimple` | The resolver instance which will be used to lookup the root nameserver addresses.
resolverFactory:callable | An optional callable which returns a resolver instance. It will passed as the `resolverFactory` argument to `Resolver.__init__`.

Returns
A `DeferredResolver` which will be dynamically replaced with `Resolver` when the root nameservers have been looked up.

def makePlaceholder(deferred, name): (source)

Undocumented